Name:		dmlite-plugins-adapter
Version:	0.4.0
Release:	2%{?dist}
Summary:	Adapter plug-in for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm/wiki/Dpm/Dev/Dmlite
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-adapter/tags/dmlite-plugins-adapter_0_4_0 dmlite-plugins-adapter-0.4.0
# tar -czvf dmlite-plugins-adapter-0.4.0.tar.gz dmlite-plugins-adapter-0.4.0
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:	boost-devel >= 1.41.0
%else
BuildRequires:	boost141-devel
%endif
BuildRequires:	cmake
BuildRequires:	cppunit-devel
BuildRequires:	dmlite-devel
BuildRequires:	dpm-devel

%description
This package provides the adapter plug-in for dmlite. This plug-in provides both
a name-space and pool management implementation which fallback to forwarding
calls to the old DPNS and DPM daemons.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/dmlite/plugin_adapter.so
%doc LICENSE README RELEASE-NOTES

%changelog
* Wed Oct 24 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-2
- Added explicit boost141 build requires for EL5

* Wed Sep 26 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-1
- Update for new upstream release

* Fri Jul 12 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial package after split of core dmlite
